libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
gprs_ns2_inst Struct Reference

An instance of the NS protocol stack. More...

`#include <gprs_ns2_internal.h>`

## Data Fields
osmo_prim_cb | cb
| callback to the user for incoming UNIT DATA IND More...
void * | cb_data
| callback data More...
struct llist_head | binding
| linked lists of all NSVC binds (e.g. More...
struct llist_head | nse
| linked lists of all NSVC in this instance More...
uint16_t | timeout [NS_TIMERS_COUNT]
uint32_t | nsvc_rate_ctr_idx
| workaround for rate counter until rate counter accepts char str as index More...
uint32_t | bind_rate_ctr_idx
uint32_t | txqueue_max_length

## Detailed Description

An instance of the NS protocol stack.

## Field Documentation

## ◆ bind_rate_ctr_idx

uint32_t gprs_ns2_inst::bind_rate_ctr_idx

Referenced by ns2_bind_alloc().

## ◆ binding

struct llist_head gprs_ns2_inst::binding

linked lists of all NSVC binds (e.g.

IPv4 bind, but could be also E1

Referenced by DEFUN(), dump_ns_bind(), gprs_ns2_bind_by_name(), gprs_ns2_fr_bind_by_netif(), gprs_ns2_free_binds(), gprs_ns2_instantiate(), gprs_ns2_ip_bind_by_sockaddr(), ns2_bind_alloc(), ns2_ip_count_bind(), ns2_ip_get_bind_by_index(), and ns2_vc_create_ip().

## ◆ cb

osmo_prim_cb gprs_ns2_inst::cb

callback to the user for incoming UNIT DATA IND

Referenced by gprs_ns2_instantiate(), and ns2_prim_status_ind().

## ◆ cb_data

void* gprs_ns2_inst::cb_data

callback data

Referenced by gprs_ns2_instantiate(), and ns2_prim_status_ind().

## ◆ nse

struct llist_head gprs_ns2_inst::nse

linked lists of all NSVC in this instance

Referenced by config_write_ns_nse(), dump_ns_entities(), gprs_n2_fr_mtu_chg_cb(), gprs_ns2_create_nse2(), gprs_ns2_free_bind(), gprs_ns2_free_nses(), gprs_ns2_instantiate(), gprs_ns2_nse_by_nsei(), gprs_ns2_nsvc_by_nsvci(), ns2_nse_notify_unblocked(), ns2_sns_fsm_bss_timer_cb(), ns2_sns_fsm_sgsn_timer_cb(), ns2_sns_st_bss_size(), ns2_sns_st_sgsn_wait_config(), ns2_sns_update_weights(), and ns2_vc_create_ip().

## ◆ nsvc_rate_ctr_idx

uint32_t gprs_ns2_inst::nsvc_rate_ctr_idx

workaround for rate counter until rate counter accepts char str as index

Referenced by ns2_vc_alloc().

## ◆ timeout

uint16_t gprs_ns2_inst::timeout[NS_TIMERS_COUNT]

Referenced by alive_timeout_handler(), config_write_ns(), DEFUN(), gprs_ns2_instantiate(), ns2_add_procedure(), ns2_sns_fsm_bss_timer_cb(), ns2_sns_fsm_sgsn_timer_cb(), ns2_sns_st_all_action_bss(), ns2_sns_st_bss_config_sgsn(), ns2_sns_st_bss_size(), ns2_sns_st_configured_onenter(), ns2_sns_st_local_procedure(), ns2_sns_st_sgsn_wait_config(), ns2_st_alive_onenter(), ns2_st_reset(), ns2_st_unconfigured(), ns2_vc_fsm_allstate_action(), ns2_vc_fsm_timer_cb(), ns_sns_configured_timeout(), recv_test_procedure(), and start_test_procedure().

## ◆ txqueue_max_length

uint32_t gprs_ns2_inst::txqueue_max_length

Referenced by config_write_ns(), DEFUN(), gprs_ns2_instantiate(), and gprs_ns2_ip_bind().

The documentation for this struct was generated from the following file:

- src/gb/gprs_ns2_internal.h